Bug 1501989 - Need to be able to have different language keyboard layout as the first priority on gdm login screen
Summary: Need to be able to have different language keyboard layout as the first prior...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell
Version: 7.4
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Ray Strode [halfline]
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1571842
TreeView+ depends on / blocked
 
Reported: 2017-10-13 16:12 UTC by ptoshniw
Modified: 2018-10-30 10:20 UTC (History)
4 users (show)

Fixed In Version: gnome-shell-3.28.2-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:19:48 UTC
Target Upstream Version:


Attachments (Terms of Use)
Dropdown RHEL 7.3 (325.84 KB, image/png)
2017-10-13 16:12 UTC, ptoshniw
no flags Details
Dropdown RHEL 7.4 (760.76 KB, image/png)
2017-10-13 16:12 UTC, ptoshniw
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:20:48 UTC

Description ptoshniw 2017-10-13 16:12:14 UTC
Created attachment 1338280 [details]
Dropdown RHEL 7.3

Description of problem:
Unable to have 'de' as the first preference as keyboard layout on gdm login screen. Whenever we set the keyboard layouts from the Settings or using localectl it does gets set but after reboot or relogin it shoes 'en' as the first preference selected on gdm login screen.

Attached are the two screen shots from RHEL 7.3 and RHEL 7.4 machine.
In RHEL 7.3 machine, we are able to have this setup and keyboard layouts.
In RHEL 7.4 machine we do see 'de' as the first preference, 'en' as the second in the drop down list but default 'en' will always be selected.

Here manually we need to always change the keyboard layout from the 'de' to 'en'.


Version-Release number of selected component (if applicable):
gdm-3.22.3-12.el7.x86_64.rpm 

How reproducible:
Always

Steps to Reproduce:

Set the keyboard layouts either using Region & Language or localectl utility.
Keeping 'de' as the first option in Region & Language.


Actual results:
'en' is always coming as the first and selected preference for keyboard layout on gdm login screen.

Expected results:
As per the priorities set we should be able to get other set keyboard layouts as well as the first priority in gdm login screen.

Comment 2 ptoshniw 2017-10-13 16:12:50 UTC
Created attachment 1338281 [details]
Dropdown RHEL 7.4

Comment 6 Matthias Clasen 2018-05-29 23:28:23 UTC
Ray, this looks like it should be yours, maybe ? More of a gdm than gnome-shell issue

Comment 10 Tomas Pelka 2018-09-19 06:01:47 UTC
Not able to reproduce on 7.6

Comment 12 errata-xmlrpc 2018-10-30 10:19:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.